/* A Bison parser, made by GNU Bison 2.7.1.  */

/* Bison interface for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

#ifndef YY_POV_PARSE_POV_H_INCLUDED
# define YY_POV_PARSE_POV_H_INCLUDED
/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int povdebug;
#endif

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     NUM = 258,
     STRING = 259,
     KEYWORD = 260,
     SPHERE = 261,
     BOX = 262,
     CYLINDER = 263,
     CONE = 264,
     PLANE = 265,
     TORUS = 266,
     UNION = 267,
     INTERSECTION = 268,
     DIFFERENCE = 269,
     OBJECT = 270,
     INVERSE = 271,
     NAME = 272,
     DECLARE = 273,
     TRANSF = 274,
     MATRIXTRANSF = 275,
     PIGMENT = 276,
     COLOR = 277,
     RGB = 278,
     RGBF = 279,
     IF = 280,
     IFDEF = 281,
     IFNDEF = 282,
     ELSE = 283,
     END = 284,
     WHILE = 285,
     AND = 286,
     OR = 287,
     NOT = 288,
     LE = 289,
     GE = 290,
     EQ = 291,
     NE = 292,
     NEG = 293
   };
#endif
/* Tokens.  */
#define NUM 258
#define STRING 259
#define KEYWORD 260
#define SPHERE 261
#define BOX 262
#define CYLINDER 263
#define CONE 264
#define PLANE 265
#define TORUS 266
#define UNION 267
#define INTERSECTION 268
#define DIFFERENCE 269
#define OBJECT 270
#define INVERSE 271
#define NAME 272
#define DECLARE 273
#define TRANSF 274
#define MATRIXTRANSF 275
#define PIGMENT 276
#define COLOR 277
#define RGB 278
#define RGBF 279
#define IF 280
#define IFDEF 281
#define IFNDEF 282
#define ELSE 283
#define END 284
#define WHILE 285
#define AND 286
#define OR 287
#define NOT 288
#define LE 289
#define GE 290
#define EQ 291
#define NE 292
#define NEG 293



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{
/* Line 2053 of yacc.c  */
#line 94 "parse.pov.yy"

  real_t val;
  real_t vect[3];
  real_t vect4[4];
  real_t mat[12];
  char* str;
  int integer;
  long int stream_pos;
  parsetrans trans;


/* Line 2053 of yacc.c  */
#line 145 "parse.pov.h"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

extern YYSTYPE povlval;

#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int povparse (void *YYPARSE_PARAM);
#else
int povparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int povparse (void);
#else
int povparse ();
#endif
#endif /* ! YYPARSE_PARAM */

#endif /* !YY_POV_PARSE_POV_H_INCLUDED  */
